Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Interface IElementSelectionInput

All Known Implementing Classes:
  AbstractElementSelectionInput

public interface IElementSelectionInput

Interface describing the input for the element selection service.

Method Summary
`IAdaptable` `getContext()` Retrieves the context for the input.
`IFilter` `getFilter()` Retrieves the filter provided for the input.
`java.lang.String` `getInput()` Retrieves a string input filter for the input.
`ElementSelectionScope` `getScope()` Retrieves the scope of the search.

Method Detail

### getScope

    public ElementSelectionScope getScope()

  Retrieves the scope of the search.

  Returns:
    ElementSelectionScope the scope of the search.

### getFilter

    public IFilter getFilter()

  Retrieves the filter provided for the input. The filter is used to give the user of the element selection service control over what types are selected by the providers.

  Most frequently, the filter will select an object if it matches a specific list of types (`IElementType`).

  Returns:
    List the list of the input types.

### getContext

    public IAdaptable getContext()

  Retrieves the context for the input.

  Returns:
    IAdaptable the context for the input.

### getInput

    public java.lang.String getInput()

  Retrieves a string input filter for the input. The filter is used to match objects based on a string (? = any character, * = any string).

  Returns:
    String the string input filter.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.